Bug 516366 - Remove the "use update repo" option
Remove the "use update repo" option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
anaconda_trace_hash:64fa0ebbd61e1d21b...
:
: 519350 (view as bug list)
Depends On:
Blocks: F12Blocker/F12FinalBlocker AnacondaUI 523751
  Show dependency treegraph
 
Reported: 2009-08-08 16:46 EDT by Boleslaw Ciesielski
Modified: 2013-01-08 20:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (145.03 KB, text/plain)
2009-08-08 16:46 EDT, Boleslaw Ciesielski
no flags Details

  None (edit)
Description Boleslaw Ciesielski 2009-08-08 16:46:15 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.59 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/iutil.py", line 112, in execWithRedirect
    raise RuntimeError, errstr
  File "/usr/lib/anaconda/packages.py", line 334, in recreateInitrd
    searchPath = 1, root = instRoot)
  File "/usr/lib/anaconda/backend.py", line 101, in doPostInstall
    packages.recreateInitrd(n, anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 1627, in doPostInstall
    AnacondaBackend.doPostInstall(self, anaconda)
  File "/usr/lib/anaconda/backend.py", line 285, in doPostInstall
    anaconda.backend.doPostInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1339, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1360, in handleRenderCallback
    self.currentWindow.renderCallback()
RuntimeError: Error running /sbin/new-kernel-pkg: No such file or directory
Comment 1 Boleslaw Ciesielski 2009-08-08 16:46:22 EDT
Created attachment 356790 [details]
Attached traceback automatically from anaconda.
Comment 2 Boleslaw Ciesielski 2009-08-08 16:49:49 EDT
I was installing Fedora 11 to an iSCSI target. The error happened at the end of the installation.
Comment 3 Hans de Goede 2009-08-09 10:06:56 EDT
Hmm, this is rather funky, as the error is: 
"/sbin/new-kernel-pkg: No such file or directory"

Which means that grubby did either not get installed at all, or not properly.

Looking at the logs, I see:
Installing grubby-6.0.87-1.fc11.i586
And no errors, related to grubby, I do see lots of other errors like these though:
warning: %post(glib2-2.20.4-1.fc11.i586) scriptlet failed, exit status 127
And like these:
error: %pre(avahi-0.6.25-3.fc11.i586) scriptlet failed, exit status 127
error:   install: %pre scriptlet failed (2), skipping avahi-0.6.25-3.fc11

This is likely the cause of the
"/sbin/new-kernel-pkg: No such file or directory"
Error, either bash (it is a bash script) or one of the libraries bash needs did not get installed properly.

Also judging from the grubby version you are using, you've added the updates
repository during the installation. This is *not* supported, please do not do this, instead run yum update after install.

Can you please retry without the updates repository enabled, that will most likely make this issue go away.
Comment 4 Boleslaw Ciesielski 2009-08-09 14:25:39 EDT
You're right, I reran the install without the updates repo and indeed I didn't get the error. Sorry for the noise.

But if adding updates during the install is not supported then how come it is offered during the install as an option (just a check box at that)?
Comment 5 Hans de Goede 2009-08-10 02:20:44 EDT
(In reply to comment #4)
> But if adding updates during the install is not supported then how come it is
> offered during the install as an option (just a check box at that)?  

A very good question, well mainly because:
1) People were asking for it
2) They were doing it anyways with the option to manually add repo's

But I guess we need to make clear that this is not necessarily a good idea
(as your experience shows) and maybe even remove the option again altogether.

I'll discuss this in the anaconda / installer team.
Comment 6 Chris Lumens 2009-10-07 11:34:52 EDT
*** Bug 519350 has been marked as a duplicate of this bug. ***
Comment 7 Eric Smith 2009-10-07 13:53:29 EDT
I disagree that bug 519350 is a dup of this one.  I experienced the failure in bug 519350 by doing a net install *without* enabling the updates repo.
Comment 8 Bug Zapper 2010-04-28 05:38:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 10:02:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.